
QGIS Application - Feature request #836

QGIS/GRASS import via v.in.ogr.qgis should only import pre selected layer features

2007-11-26 02:54 AM - horst-duester -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 10895

Description

When I load a Layer from p.e. [[PostGIS]] I can preselect a subset of features of this layer before I load this layer or I redefine this selection

after loading with the preferences. QGIS/GRASS v.in.ogr doesn't respect this selection. It always load all features to GRASS although

GRASS v.in.ogr supports a preselection of features.

Associated revisions

Revision 7ae8b35d - 2007-12-01 11:02 PM - Jürgen Fischer

add support for where option of v.in.ogr, fixes #836

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@7705 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 569d12db - 2007-12-01 11:02 PM - Jürgen Fischer

add support for where option of v.in.ogr, fixes #836

git-svn-id: http://svn.osgeo.org/qgis/trunk@7705 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2007-12-01 02:03 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:569d12db (SVN r7706)

#2 - 2007-12-03 03:13 AM - horst-duester -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

mmm ...

When I load a layer from Postgres Connection GUI and with double click created query, v.in.ogr starts to load all my [[PostGIS]] tables from DB.

#3 - 2007-12-03 04:22 AM - Jürgen Fischer
hm, just rechecked.  I have a postgis database that carries a bunch of tables with geometry.  I loaded 2 into qgis and v.in.ogr on with a where clause to

grass. Seems to work for me.  Which commands get executed for you?

#4 - 2007-12-04 04:18 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

commit:bf85ce9f (SVN r7713) fixes the problem with all layers being imported without any where clauses.

#5 - 2007-12-04 04:46 AM - horst-duester -

Replying to [comment:4 jef]:

commit:bf85ce9f (SVN r7713) fixes the problem with all layers being imported without any where clauses.

Great!! Now it works fine. Thank you very very much for this fast fix!!!!

#6 - 2009-05-15 03:50 AM - Horst Düster

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Now v.in.ogr.qgis shows the same behaviour mentioned above. It seems, that the new v.in.ogr.qgis module doesn't take respect for any subselections. As

the result I reopen this ticket.

#7 - 2009-06-10 08:51 AM - Lorenzo Masini

Suggestion: new module v.in.ogr.where.

#8 - 2009-12-06 07:48 AM - Giovanni Manghi

I submitted to Paolo a new module v.in.ogr.qgis.where to workaround partially this problem, but I still think that v.in.ogr.qgis should respect the subsets

created in qgis, especially that now that subsets are available also for shapes.

#9 - 2009-12-06 07:49 AM - Giovanni Manghi

sorry

"especially that now subsets are available also for shapes"

#10 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#11 - 2012-04-15 10:13 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#12 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#13 - 2013-10-01 03:14 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"569d12dba21e1310816a416ff2112067803d8e27".
